<?php
/**
 * @file
 * Provides \Drupal\footermap\Menu\AnonymousMenuLinkTreeManipulator.
 */

namespace Drupal\footermap\Menu;

use Drupal\Core\Menu\MenuLinkInterface;
use Drupal\Core\Menu\DefaultMenuLinkTreeManipulators;
use Drupal\Core\Access\AccessManagerInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Session\AnonymousUserSession;

/**
 * Provides an anonymous-based menu link tree manipulator that checks access
 * based on the anonymous user service provided by footermap as well.
 *
 * @todo user.page provided by user module should always be access denied
 *   or access granted because it hard codes use of user account.
 */
class AnonymousMenuLinkTreeManipulator extends DefaultMenuLinkTreeManipulators { }
